/*
#
# Defines a Vector-based (so List can list it) way to track the packet
# bounds associated with a GOP (and retain the GOP header)
#
# $Id: GroupOfPictures.cpp,v 1.2 2001/11/06 07:09:21 nemesis Exp $
#
# Copyright (C) 2001 Kees Cook
# kees@outflux.net, http://outflux.net/
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# http://www.gnu.org/copyleft/gpl.html
#
*/

#include "config.h"
#include "GroupOfPictures.h"

GroupOfPictures::GroupOfPictures(Vector * head) : Vector(0, 0)
{
	header=head;

	packets=new Bounds();
	pictures=new Bounds();
}

GroupOfPictures::~GroupOfPictures()
{
	delete header;
	delete packets;
	delete pictures;
}

Bounds * GroupOfPictures::getPacketBounds()
{
	return packets;
}

Bounds * GroupOfPictures::getPictureBounds()
{
	return pictures;
}

Vector * GroupOfPictures::getHeader()
{
	return header;
}
